oracle.pg.common

## Enum OraclePropertyGraphBase.OptimizationFlag

- java.lang.Object
- - java.lang.Enum<OraclePropertyGraphBase.OptimizationFlag>
  - - oracle.pg.common.OraclePropertyGraphBase.OptimizationFlag

- All Implemented Interfaces:
    Serializable, Comparable<OraclePropertyGraphBase.OptimizationFlag>
  Enclosing class:
    OraclePropertyGraphBase

      public static enum OraclePropertyGraphBase.OptimizationFlag
      extends Enum<OraclePropertyGraphBase.OptimizationFlag>

  This enum defines a set of optimization flags that can be used to influence the construction of Vertex or Edge objects during scans.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DO_NOT_CREATE_OBJECT` Indicate the use of a predefined constant object when processing vertices or edges
    `JUST_EDGE_ID` Indicate the construction of edge objects with ID only when processing edges
    `JUST_LABEL_EDGE_ID` Indicate the construction of edge objects with ID and label only when processing edges
    `JUST_LABEL_VERTEX_EDGE_ID` Indicate the construction of edge objects with ID, label, and in/out vertex IDs only when processing edges
    `JUST_VERTEX_EDGE_ID` Indicate the construction of edge objects with just ID and in/out vertex IDs when processing edges
    `JUST_VERTEX_ID` Indicate the construction of vertex objects with ID only when processing vertices

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OraclePropertyGraphBase.OptimizationFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OraclePropertyGraphBase.OptimizationFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DO_NOT_CREATE_OBJECT

          public static final OraclePropertyGraphBase.OptimizationFlag DO_NOT_CREATE_OBJECT

      Indicate the use of a predefined constant object when processing vertices or edges

    - #### JUST_EDGE_ID

          public static final OraclePropertyGraphBase.OptimizationFlag JUST_EDGE_ID

      Indicate the construction of edge objects with ID only when processing edges

    - #### JUST_LABEL_EDGE_ID

          public static final OraclePropertyGraphBase.OptimizationFlag JUST_LABEL_EDGE_ID

      Indicate the construction of edge objects with ID and label only when processing edges

    - #### JUST_LABEL_VERTEX_EDGE_ID

          public static final OraclePropertyGraphBase.OptimizationFlag JUST_LABEL_VERTEX_EDGE_ID

      Indicate the construction of edge objects with ID, label, and in/out vertex IDs only when processing edges

    - #### JUST_VERTEX_EDGE_ID

          public static final OraclePropertyGraphBase.OptimizationFlag JUST_VERTEX_EDGE_ID

      Indicate the construction of edge objects with just ID and in/out vertex IDs when processing edges

    - #### JUST_VERTEX_ID

          public static final OraclePropertyGraphBase.OptimizationFlag JUST_VERTEX_ID

      Indicate the construction of vertex objects with ID only when processing vertices

  - ### Method Detail

    - #### valueOf

          public static OraclePropertyGraphBase.OptimizationFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static OraclePropertyGraphBase.OptimizationFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OraclePropertyGraphBase.OptimizationFlag c : OraclePropertyGraphBase.OptimizationFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.